RelayAPI

Validate a media URL for platform compatibility

POST
/v1/tools/validate/media
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/tools/validate/media" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{  "accessible": true,  "content_type": "string",  "platform_limits": {    "beehiiv": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "bluesky": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "convertkit": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "discord": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "facebook": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "googlebusiness": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "instagram": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "linkedin": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "listmonk": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "mailchimp": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "mastodon": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "pinterest": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "reddit": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "slack": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "sms": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "snapchat": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "telegram": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "threads": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "tiktok": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "twitter": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "whatsapp": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    },    "youtube": {      "max_size": 0,      "mime_type_supported": true,      "within_limit": true    }  },  "size": 0}

Found something wrong? Help us improve this page.